<div class="panel panel-default" [ngClass]="{'shadow-effect':items().length}">
    <div class="panel-heading text-center">
        <span class="panel-title">
            <i class="fa fa-shopping-cart"></i> Cart
            <button *ngIf="items().length" (click)="clear()" type="button" data-toggle="tooltip" data-placement="top" title="Clear Cart" class="btn btn-danger btn-xs pull-right"><i class="fa fa-times"></i>
            </button>
        </span>
    </div>
    <div class="panel-body">
        <div *ngIf="!items().length">
            <p class="text-center">Your shopping cart is empty</p>
        </div>

        <div class="table-responsive" *ngIf="items().length">
            <table class="table">
                <tbody>
                <tr *ngFor="let item of items()">
                    <th style="width:60%" class="text-left">({{ item.quantity }}x) {{ item.menuItem.name }}</th>

                    <td class="text-right">{{ item.menuItem.price | currency: 'INR': 'symbol'}}</td>

                    <td class="text-right">
                        <a (click)="removeItem(item)" class="btn btn-sm danger"><i class="fa fa-trash-o"></i></a>
                    </td>
                </tr>

                <tr>
                    <th>Total:</th>

                    <td class="text-right">{{ total() | currency: 'INR':'symbol'}}</td>
                </tr>
                </tbody>
            </table>
        </div>
    </div>
    <div class="panel-footer text-center" [routerLink]="['/order']">
        <span>Checkout</span>
    </div>
</div>

<script>
    $(document).ready(function(){
      $('[data-toggle="tooltip"]').tooltip();
    });
</script>
